[arch-commits] Commit in agg/trunk (3 files)

Jan de Groot jgc at archlinux.org
Sun Aug 16 14:04:06 UTC 2009


    Date: Sunday, August 16, 2009 @ 10:04:06
  Author: jgc
Revision: 49798

upgpkg: agg 2.5-3
    Rebuild to get rid of .FILELIST.
Add two patches from fedora to make it actually build

Added:
  agg/trunk/agg-2.4-depends.patch
  agg/trunk/agg-2.5-pkgconfig.patch
Modified:
  agg/trunk/PKGBUILD

-------------------------+
 PKGBUILD                |   28 +++++++++++++++++---------
 agg-2.4-depends.patch   |   48 ++++++++++++++++++++++++++++++++++++++++++++++
 agg-2.5-pkgconfig.patch |   10 +++++++++
 3 files changed, 76 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-08-15 23:37:34 UTC (rev 49797)
+++ PKGBUILD	2009-08-16 14:04:06 UTC (rev 49798)
@@ -1,23 +1,31 @@
+# $Id$
+# Maintainer:
+
 pkgname=agg
 pkgver=2.5
-pkgrel=2
+pkgrel=3
 pkgdesc="A High Quality Rendering Engine for C++"
 arch=('i686' 'x86_64')
 url="http://www.antigrain.com/"
 license=('GPL')
-depends=('gcc-libs' 'sdl' 'freetype2')
+depends=('gcc-libs>=4.4.1' 'sdl>=1.2.13' 'freetype2>=2.3.9')
 makedepends=('automake')
-options=('!libtool' '!makeflags')
-source=(http://www.antigrain.com/$pkgname-$pkgver.tar.gz)
-md5sums=('0229a488bc47be10a2fee6cf0b2febd6')
 provides=('antigrain')
 replaces=('antigrain')
+options=('!libtool' '!makeflags')
+source=(http://www.antigrain.com/${pkgname}-${pkgver}.tar.gz
+        agg-2.4-depends.patch
+        agg-2.5-pkgconfig.patch)
+md5sums=('0229a488bc47be10a2fee6cf0b2febd6'
+         '22f8e48c137d25038181c86d5e40b110'
+         '43a19a7b1564c591e56c8d09a0fd8da5')
 
 build() {
-  cd "$startdir/src/$pkgname-$pkgver"
-
-  sh ./autogen.sh
-  ./configure --prefix=/usr --disable-static
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/agg-2.4-depends.patch" || return 1
+  patch -Np1 -i "${srcdir}/agg-2.5-pkgconfig.patch" || return 1
+  sh ./autogen.sh || return 1
+  ./configure --prefix=/usr --disable-static || return 1
   make || return 1
-  make DESTDIR="$startdir/pkg" install
+  make DESTDIR="${pkgdir}" install || return 1
 }

Added: agg-2.4-depends.patch
===================================================================
--- agg-2.4-depends.patch	                        (rev 0)
+++ agg-2.4-depends.patch	2009-08-16 14:04:06 UTC (rev 49798)
@@ -0,0 +1,48 @@
+--- agg-2.4.orig/font_freetype/Makefile.am	2005-10-18 11:45:40.000000000 +0100
++++ agg-2.4/font_freetype/Makefile.am	2006-07-10 15:11:55.000000000 +0100
+@@ -4,8 +4,9 @@
+ agginclude_HEADERS = agg_font_freetype.h
+ lib_LTLIBRARIES = libaggfontfreetype.la
+ 
+-libaggfontfreetype_la_LDFLAGS = -version-info @AGG_LIB_VERSION@ @FREETYPE_LIBS@ 
++libaggfontfreetype_la_LDFLAGS = -version-info @AGG_LIB_VERSION@
+ libaggfontfreetype_la_SOURCES = agg_font_freetype.cpp
+ libaggfontfreetype_la_CXXFLAGS = -I$(top_srcdir)/include @FREETYPE_CFLAGS@ 
++libaggfontfreetype_la_LIBADD = ../src/libagg.la @FREETYPE_LIBS@
+ endif
+ 
+--- agg-2.4.orig/src/platform/sdl/Makefile.am	2005-10-17 23:49:35.000000000 +0100
++++ agg-2.4/src/platform/sdl/Makefile.am	2006-07-10 15:11:55.000000000 +0100
+@@ -5,6 +5,6 @@
+ libaggplatformsdl_la_LDFLAGS = -version-info @AGG_LIB_VERSION@
+ libaggplatformsdl_la_SOURCES = agg_platform_support.cpp
+ libaggplatformsdl_la_CXXFLAGS = -I$(top_srcdir)/include @SDL_CFLAGS@
+-libaggplatformsdl_la_LIBADD = @SDL_LIBS@
++libaggplatformsdl_la_LIBADD = ../../libagg.la @SDL_LIBS@
+ endif
+ 
+--- agg-2.5.orig/configure.in	2006-10-09 05:06:36.000000000 +0100
++++ agg-2.5/configure.in	2007-01-07 14:07:39.000000000 +0000
+@@ -122,7 +122,8 @@
+ fi
+ AM_CONDITIONAL(ENABLE_X11,[test x$no_x = x -a xno != x$enable_platform -a x$win32_host != xyes])
+ AC_SUBST(x_includes)
+-AC_SUBST(x_libraries)
++test -n "$x_libraries" && X_LDFLAGS="-L$x_libraries"
++AC_SUBST(X_LDFLAGS)
+ dnl ###############################################
+ 
+ dnl Settung up library version
+--- agg-2.5.orig/src/platform/X11/Makefile.am	2006-12-11 00:59:45.000000000 +0000
++++ agg-2.5/src/platform/X11/Makefile.am	2007-01-07 14:07:39.000000000 +0000
+@@ -1,8 +1,8 @@
+ if ENABLE_X11
+ lib_LTLIBRARIES = libaggplatformX11.la
+ 
+-libaggplatformX11_la_LDFLAGS = -version-info @AGG_LIB_VERSION@  -L at x_libraries@
++libaggplatformX11_la_LDFLAGS = -version-info @AGG_LIB_VERSION@ @X_LDFLAGS@
+ libaggplatformX11_la_SOURCES = agg_platform_support.cpp
+ libaggplatformX11_la_CXXFLAGS =  -I$(top_srcdir)/include -I at x_includes@
+-libaggplatformX11_la_LIBADD = -lX11
++libaggplatformX11_la_LIBADD = ../../libagg.la -lX11
+ endif

Added: agg-2.5-pkgconfig.patch
===================================================================
--- agg-2.5-pkgconfig.patch	                        (rev 0)
+++ agg-2.5-pkgconfig.patch	2009-08-16 14:04:06 UTC (rev 49798)
@@ -0,0 +1,10 @@
+--- agg-2.5/libagg.pc.in.orig	2007-01-07 13:58:28.000000000 +0000
++++ agg-2.5/libagg.pc.in	2007-01-07 14:02:40.000000000 +0000
+@@ -6,5 +6,6 @@
+ Name: libagg
+ Description: Anti Grain Geometry - A High Quality Rendering Engine for C++
+ Version: @VERSION@
+-Libs: -L${libdir} -Wl,-rpath,${exec_prefix}/lib -lagg
++Requires.private: freetype2
++Libs: -L${libdir} -lagg
+ Cflags: -I${includedir}




More information about the arch-commits mailing list